# Xapian::DatabaseVersionError Class Reference

DatabaseVersionError indicates that a database is in an unsupported format. More...

Inheritance diagram for Xapian::DatabaseVersionError:

[legend]

List of all members.

## Public Member Functions
| DatabaseVersionError (const std::string &msg_, const std::string &context_="", int errno_=0)
| General purpose constructor which allows setting errno.
| DatabaseVersionError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseVersionError indicates that a database is in an unsupported format.

From time to time, new versions of Xapian will require the database format to be changed, to allow new information to be stored or new optimisations to be performed. Backwards compatibility will sometimes be maintained, so that new versions of Xapian can open old databases, but in some cases Xapian will be unable to open a database because it is in too old (or new) a format. This can be resolved either be upgrading or downgrading the version of Xapian in use, or by rebuilding the database from scratch with the current version of Xapian.

## Constructor & Destructor Documentation

Xapian::DatabaseVersionError::DatabaseVersionError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `""`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::DatabaseVersionError::DatabaseVersionError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h